Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
- AbstractOrMissingHandler
- ExprTyper
- IMain
- ImportContextPreamble
- Imports
- MemberHandlers
- NamedParam
- NamedParamClass
- NamedParamCreator
- Naming
- Phased
- Power
- PresentationCompilation
- PresentationCompilationResult
- Repl
- ReplCore
- ReplDir
- ReplGlobal
- ReplOutput
- ReplReporter
- ReplRequest
- ReplStrings
- ReplVals
- Results
- ScriptedInterpreter
- ScriptedRepl
- StdReplTags
- StdReplVals

t

scala.tools.nsc.interpreter

# NamedParamCreator

###

#### trait NamedParamCreator extends AnyRef

Source
  NamedParam.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
NamedParam
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NamedParamCreator
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def freshName: () => String
   Attributes
     protected

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from NamedParamCreator toany2stringadd[NamedParamCreator] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (NamedParamCreator, B)
   Implicit
     This member is added by an implicit conversion from NamedParamCreator toArrowAssoc[NamedParamCreator] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def apply[T](x: T)(implicit arg0: reflect.api.JavaUniverse.TypeTag[T], arg1: ClassTag[T]): NamedParam
7.  def apply[T](name: String, x: T)(implicit arg0: reflect.api.JavaUniverse.TypeTag[T], arg1: ClassTag[T]): NamedParam
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clazz(name: String, x: Any): NamedParam
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def ensuring(cond: (NamedParamCreator) => Boolean, msg: => Any): NamedParamCreator
    Implicit
      This member is added by an implicit conversion from NamedParamCreator toEnsuring[NamedParamCreator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (NamedParamCreator) => Boolean): NamedParamCreator
    Implicit
      This member is added by an implicit conversion from NamedParamCreator toEnsuring[NamedParamCreator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): NamedParamCreator
    Implicit
      This member is added by an implicit conversion from NamedParamCreator toEnsuring[NamedParamCreator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): NamedParamCreator
    Implicit
      This member is added by an implicit conversion from NamedParamCreator toEnsuring[NamedParamCreator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from NamedParamCreator toStringFormat[NamedParamCreator] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  implicit def tuple[T](pair: (String, T))(implicit arg0: reflect.api.JavaUniverse.TypeTag[T], arg1: ClassTag[T]): NamedParam
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (NamedParamCreator, B)
   Implicit
     This member is added by an implicit conversion from NamedParamCreator toArrowAssoc[NamedParamCreator] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromNamedParamCreator to any2stringadd[NamedParamCreator]

### Inherited by implicit conversion StringFormat fromNamedParamCreator to StringFormat[NamedParamCreator]

### Inherited by implicit conversion Ensuring fromNamedParamCreator to Ensuring[NamedParamCreator]

### Inherited by implicit conversion ArrowAssoc fromNamedParamCreator to ArrowAssoc[NamedParamCreator]

### Ungrouped